unbound: smallapp/worker_cb.c File Reference

unbound 0.1

Data Structures | Functions
worker_cb.c File Reference

This file contains fake callback functions, so that the symbols exist and the fptr_wlist continues to work even if the daemon/worker is not linked into the resulting program. More...

`#include "config.h"`
`#include "libunbound/context.h"`
`#include "libunbound/worker.h"`
`#include "util/fptr_wlist.h"`
`#include "util/log.h"`
`#include "services/mesh.h"`

## Data Structures
struct | order_id
| keep track of lock id in lock-verify application More...

## Functions
void | worker_handle_control_cmd (struct tube *ATTR_UNUSED(tube), uint8_t *ATTR_UNUSED(buffer), size_t ATTR_UNUSED(len), int ATTR_UNUSED(error), void *ATTR_UNUSED(arg))
int | worker_handle_request (struct comm_point *ATTR_UNUSED(c), void *ATTR_UNUSED(arg), int ATTR_UNUSED(error), struct comm_reply *ATTR_UNUSED(repinfo))
int | worker_handle_service_reply (struct comm_point *ATTR_UNUSED(c), void *ATTR_UNUSED(arg), int ATTR_UNUSED(error), struct comm_reply *ATTR_UNUSED(reply_info))
int | remote_accept_callback (struct comm_point *ATTR_UNUSED(c), void *ATTR_UNUSED(arg), int ATTR_UNUSED(error), struct comm_reply *ATTR_UNUSED(repinfo))
int | remote_control_callback (struct comm_point *ATTR_UNUSED(c), void *ATTR_UNUSED(arg), int ATTR_UNUSED(error), struct comm_reply *ATTR_UNUSED(repinfo))
void | worker_sighandler (int ATTR_UNUSED(sig), void *ATTR_UNUSED(arg))
struct outbound_entry * | worker_send_query (struct query_info *ATTR_UNUSED(qinfo), uint16_t ATTR_UNUSED(flags), int ATTR_UNUSED(dnssec), int ATTR_UNUSED(want_dnssec), int ATTR_UNUSED(nocaps), int ATTR_UNUSED(check_ratelimit), struct sockaddr_storage *ATTR_UNUSED(addr), socklen_t ATTR_UNUSED(addrlen), uint8_t *ATTR_UNUSED(zone), size_t ATTR_UNUSED(zonelen), int ATTR_UNUSED(tcp_upstream), int ATTR_UNUSED(ssl_upstream), char *ATTR_UNUSED(tls_auth_name), struct module_qstate *ATTR_UNUSED(q), int *ATTR_UNUSED(was_ratelimited))
void | worker_alloc_cleanup (void *ATTR_UNUSED(arg))
struct outbound_entry * | libworker_send_query (struct query_info *ATTR_UNUSED(qinfo), uint16_t ATTR_UNUSED(flags), int ATTR_UNUSED(dnssec), int ATTR_UNUSED(want_dnssec), int ATTR_UNUSED(nocaps), int ATTR_UNUSED(check_ratelimit), struct sockaddr_storage *ATTR_UNUSED(addr), socklen_t ATTR_UNUSED(addrlen), uint8_t *ATTR_UNUSED(zone), size_t ATTR_UNUSED(zonelen), int ATTR_UNUSED(tcp_upstream), int ATTR_UNUSED(ssl_upstream), char *ATTR_UNUSED(tls_auth_name), struct module_qstate *ATTR_UNUSED(q), int *ATTR_UNUSED(was_ratelimited))
int | libworker_handle_service_reply (struct comm_point *ATTR_UNUSED(c), void *ATTR_UNUSED(arg), int ATTR_UNUSED(error), struct comm_reply *ATTR_UNUSED(reply_info))
void | libworker_handle_control_cmd (struct tube *ATTR_UNUSED(tube), uint8_t *ATTR_UNUSED(buffer), size_t ATTR_UNUSED(len), int ATTR_UNUSED(error), void *ATTR_UNUSED(arg))
void | libworker_fg_done_cb (void *ATTR_UNUSED(arg), int ATTR_UNUSED(rcode), struct sldns_buffer *ATTR_UNUSED(buf), enum sec_status ATTR_UNUSED(s), char *ATTR_UNUSED(why_bogus), int ATTR_UNUSED(was_ratelimited))
void | libworker_bg_done_cb (void *ATTR_UNUSED(arg), int ATTR_UNUSED(rcode), struct sldns_buffer *ATTR_UNUSED(buf), enum sec_status ATTR_UNUSED(s), char *ATTR_UNUSED(why_bogus), int ATTR_UNUSED(was_ratelimited))
void | libworker_event_done_cb (void *ATTR_UNUSED(arg), int ATTR_UNUSED(rcode), struct sldns_buffer *ATTR_UNUSED(buf), enum sec_status ATTR_UNUSED(s), char *ATTR_UNUSED(why_bogus), int ATTR_UNUSED(was_ratelimited))
int | context_query_cmp (const void *ATTR_UNUSED(a), const void *ATTR_UNUSED(b))
void | worker_stat_timer_cb (void *ATTR_UNUSED(arg))
void | worker_probe_timer_cb (void *ATTR_UNUSED(arg))
void | worker_start_accept (void *ATTR_UNUSED(arg))
void | worker_stop_accept (void *ATTR_UNUSED(arg))
int | order_lock_cmp (const void *e1, const void *e2)
| Due to module breakage by fptr wlist, these test app declarations are presented here.
int | codeline_cmp (const void *a, const void *b)
| compare two codeline structs for rbtree from memstats test app
int | replay_var_compare (const void *ATTR_UNUSED(a), const void *ATTR_UNUSED(b))
void | remote_get_opt_ssl (char *ATTR_UNUSED(str), void *ATTR_UNUSED(arg))

## Detailed Description

This file contains fake callback functions, so that the symbols exist and the fptr_wlist continues to work even if the daemon/worker is not linked into the resulting program.

## Function Documentation

## ◆ order_lock_cmp()

int order_lock_cmp | ( | const void * | e1,
|  | const void * | e2
| ) |  |

Due to module breakage by fptr wlist, these test app declarations are presented here.

compare two order_ids from lock-verify test app

Parameters

  e1 | first order_id
  e2 | second order_id

Returns
  compare code -1, 0, +1 (like memcmp).

References order_id::instance, and order_id::thr.

## ◆ codeline_cmp()

int codeline_cmp | ( | const void * | a,
|  | const void * | b
| ) |  |

compare two codeline structs for rbtree from memstats test app

Parameters

  a | codeline
  b | codeline

Returns
  compare code -1, 0, +1 (like memcmp).